package com.lightinit.hsdatashow.dictionary;

import java.util.LinkedHashMap;

public class DicShfazs {

    public static final String TITLE = "社会安全指数";
    public static final String FWZC = "人均基本公共服务支出";
    public static final String ZCCZ = "公共服务支出占财政总支出比例";
    public static final String GGFW = "公共服务归一化指数";
    public static final String QXXT = "区域协调归一化指数";
    public static final String JJFZ = "地区经济发展差异系数";
    public static final String WHJY = "文化教育归一化指数";
    public static final String DQFZ = "地区经济发展差异系数";
    public static final String PJJY = "平均受教育权限归一化指数";
    public static final String PJQX = "平均受教育权限";

    public static final String WSJK = "卫生健康归一化指数";
    public static final String SWL = "5岁以下儿童死亡率";
    public static final String SHBZ = "社会保障归一化指数";
    public static final String JBSH = "基本社会保险覆盖率";

    public static final String ZDBZ = "农村、城镇居民享受最低生活保障人口比例归一化指数";
    public static final String BZBL = "农村、城镇居民享受最低生活保障人口比例";
    public static final String SHAQ = "社会安全归一化指数";
    public static final String AQZS = "社会安全指数";

    public static final String XS1 = "公共服务支出系数";
    public static final String XS2 = "区域协调系数";
    public static final String XS3 = "文化教育系数";
    public static final String XS4 = "平均受教育年限系数";
    public static final String XS5 = "卫生健康系数";
    public static final String XS6 = "社会保障系数";
    public static final String XS7 = "农村、城镇居民享受最低生活保障人口比例系数";
    public static final String XS8 = "社会安全系数";


    private static DicShfazs instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicShfazs(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(TITLE, TITLE);
        dicMap.put(FWZC, FWZC);
        dicMap.put(ZCCZ, ZCCZ);
        dicMap.put(GGFW, GGFW);
        dicMap.put(QXXT, QXXT);
        dicMap.put(JJFZ, JJFZ);
        dicMap.put(WHJY, WHJY);
        dicMap.put(DQFZ, DQFZ);
        dicMap.put(PJJY, PJJY);
        dicMap.put(PJQX, PJQX);
        dicMap.put(WSJK, WSJK);
        dicMap.put(SWL, SWL);
        dicMap.put(SHBZ, SHBZ);
        dicMap.put(JBSH, JBSH);
        dicMap.put(ZDBZ, ZDBZ);
        dicMap.put(BZBL, BZBL);
        dicMap.put(SHAQ, SHAQ);
        dicMap.put(AQZS, AQZS);

        dicMap.put(XS1, XS1);
        dicMap.put(XS2, XS2);
        dicMap.put(XS3, XS3);
        dicMap.put(XS4, XS4);
        dicMap.put(XS5, XS5);
        dicMap.put(XS6, XS6);
        dicMap.put(XS7, XS7);
        dicMap.put(XS8, XS8);

    }

    public static DicShfazs getInstacne(){
        if (instance == null)
        {
            instance = new DicShfazs();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }

}
